import { ICategoricalStatistics, IStatistics } from '../internal';
import { INumberColumn } from '../model';
import Column from '../model/Column';
import { default as IRenderContext, ERenderMode, ICellRendererFactory, IImposer, IGroupCellRenderer, ISummaryRenderer, ICellRenderer } from './interfaces';
export default class BarCellRenderer implements ICellRendererFactory {
    private readonly renderValue;
    readonly title: string;
    constructor(renderValue?: boolean);
    canRender(col: Column, mode: ERenderMode): boolean;
    create(col: INumberColumn, context: IRenderContext, _hist: IStatistics | ICategoricalStatistics | null, imposer?: IImposer): ICellRenderer;
    createGroup(): IGroupCellRenderer;
    createSummary(): ISummaryRenderer;
}
