import { ICategoricalStatistics, IStatistics } from '../internal/math';
import { IDataRow, INumberColumn } from '../model';
import Column from '../model/Column';
import { default as IRenderContext, ERenderMode, ICellRendererFactory, IImposer, ICellRenderer, IGroupCellRenderer, ISummaryRenderer } from './interfaces';
export declare function toHeatMapColor(v: number | null, row: IDataRow, col: INumberColumn, imposer?: IImposer): string;
export default class BrightnessCellRenderer implements ICellRendererFactory {
    readonly title: string;
    canRender(col: Column, mode: ERenderMode): boolean;
    create(col: INumberColumn, context: IRenderContext, _hist: IStatistics | ICategoricalStatistics | null, imposer?: IImposer): ICellRenderer;
    createGroup(): IGroupCellRenderer;
    createSummary(): ISummaryRenderer;
}
