import { ICategoricalStatistics, IStatistics } from '../internal';
import { INumberColumn } from '../model';
import Column from '../model/Column';
import { default as IRenderContext, ERenderMode, ICellRendererFactory, IImposer, ICellRenderer, IGroupCellRenderer, ISummaryRenderer } from './interfaces';
export default class DotCellRenderer implements ICellRendererFactory {
    readonly title: string;
    readonly groupTitle: string;
    canRender(col: Column, mode: ERenderMode): boolean;
    private static getDOMRenderer;
    create(col: INumberColumn, context: IRenderContext, _hist: IStatistics | ICategoricalStatistics | null, imposer?: IImposer): ICellRenderer;
    createGroup(col: INumberColumn, _context: IRenderContext, _hist: IStatistics | ICategoricalStatistics | null, imposer?: IImposer): IGroupCellRenderer;
    createSummary(): ISummaryRenderer;
}
