import { ICategoricalStatistics, IStatistics } from '../internal/math';
import Column from '../model/Column';
import { IMapColumn } from '../model/IArrayColumn';
import { IMapAbleColumn } from '../model/MappingFunction';
import { ICellRendererFactory, IImposer, default as IRenderContext, ERenderMode, ICellRenderer, IGroupCellRenderer, ISummaryRenderer } from './interfaces';
export default class MapBarCellRenderer implements ICellRendererFactory {
    readonly title: string;
    canRender(col: Column, mode: ERenderMode): boolean;
    create(col: IMapColumn<number>, _context: IRenderContext, _hist: IStatistics | ICategoricalStatistics | null, imposer?: IImposer): ICellRenderer;
    createGroup(): IGroupCellRenderer;
    createSummary(col: IMapColumn<number> & IMapAbleColumn): ISummaryRenderer;
}
