import { IDataRow } from '../model';
import Column from '../model/Column';
import { INumbersColumn } from '../model/INumberColumn';
import { ANumbersCellRenderer } from './ANumbersCellRenderer';
import IRenderContext, { ERenderMode, ICellRendererFactory, IImposer } from './interfaces';
import { ISummaryRenderer } from './interfaces';
export default class VerticalBarCellRenderer extends ANumbersCellRenderer implements ICellRendererFactory {
    readonly title: string;
    canRender(col: Column, mode: ERenderMode): boolean;
    private static compute;
    protected createContext(col: INumbersColumn, context: IRenderContext, imposer?: IImposer): {
        templateRow: string;
        update: (row: HTMLElement, data: number[], raw: number[], item: IDataRow) => void;
        render: (ctx: CanvasRenderingContext2D, data: number[], item: IDataRow) => void;
    };
    createSummary(): ISummaryRenderer;
}
